Bug 13276 - User Install from URL Dumps Core
Summary: User Install from URL Dumps Core
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-30 16:02 UTC by Thornton Prime
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-22 15:49:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thornton Prime 2000-06-30 16:02:01 UTC
Attempt to do an install as a user over the network (ftp) causes a core
dump. I can do the install fine over the network as root, and can download
the file as a user and install from the local filesystem, just not as a
user over the network.

Here the tail of an strace:

strace rpm -Uvh
ftp://xenakis/cdrom/redhat-7.0b2-pt/SRPMS/postfix-20000531-1.src.rpm

gettimeofday({962380395, 96964}, NULL)  = 0
getpid()                                = 32695
open("/etc/resolv.conf", O_RDONLY)      = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=90, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x4002e000
read(4, "search cnation.com\nnameserver 10"..., 4096) = 90
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x4002e000, 4096)                = 0
socket(PF_UNIX, SOCK_STREAM, 0)         = 4
connect(4, {sin_family=AF_UNIX,
path="                                                                                      
/var/run/.nscd_socket"}, 110) = -1 ECONNREFUSED (Connection refused)
close(4)                                = 0
open("/etc/nsswitch.conf", O_RDONLY)    = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=1723, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x4002e000
read(4, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1723
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x4002e000, 4096)                = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

Comment 1 Jeff Johnson 2000-07-22 15:49:40 UTC
Can you try  to reproduce the problem with (at least) the beta4 glibc-2.1.91-15
and
rpm-4.0-0.56 packages? Thanks ...

Comment 2 Thornton Prime 2000-07-24 18:14:12 UTC
Looks fixed in beta4 (glibc 2.1.91-16, rpm 4.0-0.56).

Thanks.


Note You need to log in before you can comment on or make changes to this bug.